apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: inspections

spec:
  interval: 10m

  chart:
    spec:
      chart: universal-chart
      version: "0.1.7"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m

  install:
    remediation:
      retries: 3

  upgrade:
    remediation:
      retries: 3

  values:
    global:
      env: _default

    services:
      backend:
        enabled: true

        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/sarex-inspections:production_5fcce90d
          pullPolicy:
            _default: IfNotPresent

        deployment:
          enabled: true

          name:
            _default: backend

          replicaCount:
            _default: 1
            stage: 1
            preprod: 3
            production: 3

          port:
            _default: 8000

          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false

        service:
          enabled: true

          name:
            _default: backend-service

          type:
            _default: ClusterIP

          port:
            _default: 8000

          targetPort:
            _default: 8000

          portName:
            _default: http

        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: regcred
        labels:
          monitoring: prometheus

        envs:
          - name: ENVIRONMENT
            value:
              _default: "production"

          - name: WRITE_SYSTEM_LOG
            value:
              _default: "0"

          - name: NOTIFY_VIA_EMAIL
            value:
              _default: "1"

          - name: SERVICE_URL
            value:
              _default: "https://test.sarex.brusnika.tech"

          - name: WORKFLOWS_URL
            value:
              _default: "http://workflows-api-service.workflow.svc.cluster.local:80"

          - name: EMAIL_DOCKER_IMAGE
            value:
              _default: "cr.yandex/crp3ccidau046kdj8g9q/notification:email"

          - name: EMAIL_FROM
            value:
              _default: "hello@sarex.io"

          - name: DATABASE_HOST
            value:
              _default: "postgres-service"

          - name: DATABASE_PORT
            value:
              _default: "5432"

          - name: DATABASE_NAME
            value:
              _default: "inspections_db"

          - name: API_ADDRESS
            value:
              _default: "8000"
        secretEnvs:
          - name: DATABASE_USER
            secretName:
              _default: "postgres-secret"
            secretKey: "username"

          - name: DATABASE_PASSWORD
            secretName:
              _default: "postgres-secret"
            secretKey: "password"

          - name: YC_S3_ACCESS_KEY_ID
            secretName:
              _default: "yc-s3-secret"
            secretKey: "key_id"

          - name: YC_S3_SECRET_ACCESS_KEY
            secretName:
              _default: "yc-s3-secret"
            secretKey: "access_key"

          - name: YC_S3_BUCKET_NAME
            secretName:
              _default: "yc-s3-secret"
            secretKey: "storage_bucket_name"

          - name: YC_S3_ENDPOINT_URL
            secretName:
              _default: "yc-s3-secret"
            secretKey: "endpoint_url"

          - name: DJANGO_BASIC_AUTH
            secretName:
              _default: "django-auth"
            secretKey: "key"

        commitSha: ""
        gitlabUri: ""
        gitlabJobUrl: ""
        owner: ""